Program
=======

instruction
-----------

.. doxygenstruct:: migraphx::internal::instruction
   :members:
   :undoc-members:

instruction_ref
---------------

.. cpp:type:: migraphx::internal::instruction_ref

    References an instruction in the program.

program
-------

.. doxygenstruct:: migraphx::internal::program
   :members:
   :undoc-members:

parse_onnx
----------

.. doxygenfunction:: migraphx::internal::parse_onnx

parse_tf
--------

.. doxygenfunction:: migraphx::internal::parse_tf

onnx_options
------------

.. doxygenstruct:: migraphx::internal::onnx_options

tf_options
----------

.. doxygenstruct:: migraphx::internal::tf_options
